%define lang cs
%define langrelease 2
Summary: Czech dictionaries for Aspell.
Name: aspell-%{lang}
Version: 0.50
Release: 1
License: GPL
Group: Applications/Text
URL: http://aspell.net
Source: ftp://ftp.gnu.org/gnu/aspell/dict/%{lang}/aspell-%{lang}-%{version}-%{langrelease}.tar.bz2
Buildrequires: aspell >= 0.50
Requires: aspell >= 0.50
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: ispell-cs, ispell-cz, ispell-czech, aspell-cz

%description
This package contains a Czech dictionary for use with aspell, a
spelling checker. Warning: This package is intended for use in
ISO-8859-2 locale (ie: LANG=cs) and *NOT* UTF-8. Aspell is not
not yet able to handle UFT-8 string in current Red Hat Linux.

This package is for aspell-0.50.3-15.9.1.

%prep
%setup -q -n aspell-%{lang}-%{version}-%{langrelease}

%build
echo "ASPELL = aspell" > Makefile
echo "DEST_DIR = $RPM_BUILD_ROOT" >> Makefile
echo "WORD_LIST_COMPRESS = word-list-compress" >> Makefile
echo "dictdir = ${RPM_BUILD_ROOT}%{_libdir}/aspell" >> Makefile
echo "datadir = ${RPM_BUILD_ROOT}%{_datadir}/aspell" >> Makefile
cat Makefile.pre >> Makefile
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%{_libdir}/aspell/*
%{_datadir}/aspell/*

%changelog
* Fri Oct  3 2003 Milan Kerslager <kerslage@linux.cz> 0.50-1.9
- official aspell word database for Czech used
- rebuild for aspell 0.50.3
- data files are arch dependent
